# PetscDrawTensorContourPatch

PetscDraws a rectangular patch of a contour plot for a two-dimensional array.

### Synopsis

    #include "petscdraw.h"
    PetscErrorCode  PetscDrawTensorContourPatch(PetscDraw draw,int m,int n,PetscReal *x,PetscReal *y,PetscReal max,PetscReal min,PetscReal *v)

Not Collective

### Input Parameters

| win | - the window to draw in
| m,n | - the number of local mesh points in the x and y direction
| x,y | - the locations of the local mesh points
| max,min | - the maximum and minimum value in the entire contour
| v | - the data

### Options Database Keys

-draw_x_shared_colormap -Activates private colormap

### Note

This is a lower level support routine, usually the user will call PetscDrawTensorContour().

### See Also

PetscDrawTensorContour()

Level:advanced
Location: src/sys/draw/interface/dtri.c
Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages